using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data.Models
{
    public class PortableStorageType : BaseModel
    {
        #region Fields
        private Guid _key;
        private String _typeCode;
        private String _typeName;
        private Boolean _hasMuscleRelaxant;
        private Boolean _needWitness;
        private Boolean _isMedicalKit;
        private Boolean _notLimitCount;
        private Guid? _createby;
        private DateTime? _createtime;
        private bool? _flag;
        private DateTime? _clienttime;
        private DateTime? _servertime;
        private string _ext01;
        private string _ext02;
        private string _ext03;
        private string _ext04;
        private string _ext05;
        private string _ext06;
        private string _ext07;
        private string _ext08;
        private string _ext09;
        private string _ext10;
        #endregion

        #region Public Properties

        [DataMember]
        public virtual Guid Key
        {
            get { return _key; }
            set
            {
                _key = value;
                OnPropertyChanged("Key");
            }
        }
        [DataMember]
        public virtual string TypeCode
        {
            get { return _typeCode; }
            set
            {
                _typeCode = value;
                OnPropertyChanged("TypeCode");
            }
        }
        [DataMember]
        public virtual string TypeName
        {
            get { return _typeName; }
            set
            {
                _typeName = value;
                OnPropertyChanged("TypeName");
            }
        }
        [DataMember]
        public virtual Boolean HasMuscleRelaxant
        {
            get { return _hasMuscleRelaxant; }
            set
            {
                _hasMuscleRelaxant = value;
                OnPropertyChanged("HasMuscleRelaxant");
            }
        }
        [DataMember]
        public virtual Boolean NeedWitness
        {
            get { return _needWitness; }
            set
            {
                _needWitness = value;
                OnPropertyChanged("NeedWitness");
            }
        }
        /// <summary>
        /// 获取或设置是否取消数量限制的标识
        /// </summary>
        [DataMember]
        public virtual Boolean NotLimitCount
        {
            get { return _notLimitCount; }
            set
            {
                _notLimitCount = value;
                OnPropertyChanged("NotLimitCount");
            }
        }
        [DataMember]
        public virtual Guid? CreateBy
        {
            get { return _createby; }
            set
            {
                _createby = value;
                OnPropertyChanged("CreateBy");
            }
        }
        [DataMember]
        public virtual DateTime? CreateTime
        {
            get { return _createtime; }
            set
            {
                _createtime = value;
                OnPropertyChanged("CreateTime");
            }
        }
        [DataMember]
        public virtual bool? Flag
        {
            get { return _flag; }
            set
            {
                _flag = value;
                OnPropertyChanged("Flag");
            }
        }
        [DataMember]
        public virtual DateTime? ClientTime
        {
            get { return _clienttime; }
            set
            {
                _clienttime = value;
                OnPropertyChanged("ClientTime");
            }
        }
        [DataMember]
        public virtual DateTime? ServerTime
        {
            get { return _servertime; }
            set
            {
                _servertime = value;
                OnPropertyChanged("ServerTime");
            }
        }
        /// <summary>
        /// 获取或设置是否关联冰箱锁
        /// </summary>
        [DataMember]
        public virtual string Ext01
        {
            get { return _ext01; }
            set
            {
                _ext01 = value;
                OnPropertyChanged("Ext01");
            }
        }
        /// <summary>
        /// 获取或设置关联的手术间名称
        /// </summary>
        [DataMember]
        public virtual string Ext02
        {
            get { return _ext02; }
            set
            {
                _ext02 = value;
                OnPropertyChanged("Ext02");
            }
        }
        /// <summary>
        /// 获取或设置药箱是否可重复使用
        /// </summary>
        [DataMember]
        public virtual string Ext03
        {
            get { return _ext03; }
            set
            {
                _ext03 = value;
                OnPropertyChanged("Ext03");
            }
        }
        /// <summary>
        /// 获取或这只是否不可取用
        /// </summary>
        [DataMember]
        public virtual string Ext04
        {
            get { return _ext04; }
            set
            {
                _ext04 = value;
                OnPropertyChanged("Ext04");
            }
        }
        [DataMember]
        public virtual string Ext05
        {
            get { return _ext05; }
            set
            {
                _ext05 = value;
                OnPropertyChanged("Ext05");
            }
        }
        [DataMember]
        public virtual string Ext06
        {
            get { return _ext06; }
            set
            {
                _ext06 = value;
                OnPropertyChanged("Ext06");
            }
        }
        [DataMember]
        public virtual string Ext07
        {
            get { return _ext07; }
            set
            {
                _ext07 = value;
                OnPropertyChanged("Ext07");
            }
        }
        [DataMember]
        public virtual string Ext08
        {
            get { return _ext08; }
            set
            {
                _ext08 = value;
                OnPropertyChanged("Ext08");
            }
        }
        [DataMember]
        public virtual string Ext09
        {
            get { return _ext09; }
            set
            {
                _ext09 = value;
                OnPropertyChanged("Ext09");
            }
        }
        [DataMember]
        public virtual string Ext10
        {
            get { return _ext10; }
            set
            {
                _ext10 = value;
                OnPropertyChanged("Ext10");
            }
        }
        [DataMember]
        public virtual Boolean IsMedicalKit
        {
            get { return _isMedicalKit; }
            set
            {
                _isMedicalKit = value;
                OnPropertyChanged("IsMedicalKit");
            }
        }
        #endregion
    }
}
